=== debian/changelog ===
paje.app (1.98-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Require libgnustep-gui-dev
    (>= 0.31.1-7) for the multiarch layout.
  * debian/rules: Delete the .desktop file generated by pl2link; don't
    hard code the path (Closes: #1094312).
  * debian/menu: Delete.

  [ Vincent Danjean ]
  * Acknowledge previous NMU
  * Refresh packaging
    - switch to debhelper
    - push to salsa
    - cleanup...

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 04 Feb 2025 23:28:17 +0100

paje.app (1.98-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove redundant dh_gnustep invocation thus fixing FTBFS
    with gnustep-make/2.9.2-3 (Closes: #1078478).
  * debian/compat: Bump from deprecated 7 to 10.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 20 Aug 2024 21:09:05 +0300

paje.app (1.98-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965764)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 18:27:54 +0200

paje.app (1.98-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 30 Jan 2012 11:31:11 +0100

paje.app (1.97+cvs20080110-3) unstable; urgency=low

  * Rebuild against new gnustep libraries
  * Cleanup packaging

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 16 Jun 2010 09:51:17 +0200

paje.app (1.97+cvs20080110-2) unstable; urgency=low

  The "I should close my done-bugs before uploading" release
  * Do not overwrite the Paje binary with a script
  * Forget to close the FTBFS bug in previous upload (Closes: #451456)
    and the request for new version (Closes: #448022)
  * record the addition of desktop file for paje.app added a few release
    before (but never uploaded) (Closes: #377301)
    thanks to Barry deFreese for providing this file
  * add texlive-latex-recommanded to build-depends
  * fix linking problems (Closes: #461305)
    thanks to Yavor Doganov for its patch

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 17 Jan 2008 23:00:51 +0100

paje.app (1.97+cvs20080110-1) unstable; urgency=low

  * CVS snapshot that better compiles with current GNUstep
  * [debian/patches] remove old-gnustep-fix.patch (fixed upstream)
  * [debian/control] dump Standards-version to 3.7.3 (no change needed)
  * [debian/] switch to git based system (instead of quilt)
  * add lintian and linda override for image in /usr/lib (due to GNUstep
    file hierarchy)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Jan 2008 09:33:18 +0100

paje.app (1.97-3) experimental; urgency=low

  * Rebuild with new GNUStep

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 25 Jul 2007 12:29:02 +0200

paje.app (1.97-2) unstable; urgency=low

  * Fix for current version of GNUStep

 -- Vincent Danjean <vdanjean@debian.org>  Thu,  1 Mar 2007 21:44:51 +0100

paje.app (1.97-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 27 Feb 2007 15:14:55 +0100

paje.app (1.4.0-5) unstable; urgency=low

  * [debian/control,debian/linda-overide] remove the last empty line
  * [debian/watch,debian/Paje.1] remove commented stuff
  * [debian/control] remove the uploader field: I am already in the Maintainer
    field and my sponsor adds itself to the Uploader field.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun,  1 Oct 2006 21:28:07 +0200

paje.app (1.4.0-4) unstable; urgency=low

  * Closing request to rebuild the package with new build-depends
    (already done in the previous version but it was not yet uploaded...)
    (Closes: #389819)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 28 Sep 2006 00:49:28 +0200

paje.app (1.4.0-3) unstable; urgency=low

  * [debian/rules] use the gnumakefile CDBS class
  * [debian/control] use new build-depends for gnustep libs (as asked by
    GNUstep maintainers)
  * Desktop file for paje.app (Closes: #377301)
    Thanks to Barry deFreese (ubuntu maintainer) and Phil Bull that provide
    the paje.desktop file.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 27 Sep 2006 07:38:22 +0200

paje.app (1.4.0-2) unstable; urgency=low

  * [debian/compat] debhelper compat version dumped to 5
  * [debian/copyright] add copyright for Debian packaging
  * [debian/control] Standard-Version set to 3.7.2 (no changes required)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:42:15 +0200

paje.app (1.4.0-1) unstable; urgency=low

  * New upstream release
    - Add support for aggregating Events and States that are too small to be
      displayed
    - Faster simulation of events
    - Checkpointing optimized (smaller file sizes and faster reading/writing)
    - Various bug fixes

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 14 May 2006 21:24:29 +0200

paje.app (1.3.3-3) unstable; urgency=low

  * Add watch file
  * Invoke gsdh_gnustep in rules file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 17 Feb 2006 00:42:38 +0100

paje.app (1.3.3-2) unstable; urgency=low

  * Rebuild against newer GNUStep library (Closes: #350426)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 31 Jan 2006 11:56:59 +0100

paje.app (1.3.3-1) unstable; urgency=low

  * New upstream release
    - statviewer available
    - trace files read by chuncks
  * Bump to Debian Standard 3.6.2
  * Add linda override 'command-not-exist' (in menu file):
    /usr/bin/Paje is a symlink to gnustep-app-wrapper
  * Update FSF address in debian/copyright

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 29 Sep 2005 01:02:28 +0200

paje.app (1.3.2-4) unstable; urgency=low

  * Apply upstream CVS patch : numeric locale set to C instead of en_US
    (Closes: #304768: JavaTest.trace exmaple is not working)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 22 Apr 2005 23:40:19 +0200

paje.app (1.3.2-3) unstable; urgency=low

  * Do really drop this build-dep by editing control.in, not control (which
    gets rewritten by cdbs). Sorry for the noise.


