=== debian/control ===
Source: paje.app
Section: science
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Standards-Version: 4.7.0
Homepage: https://paje.sourceforge.net
Vcs-Git: https://salsa.debian.org/gnustep-team/paje.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/paje.app
Build-Depends: quilt,
 libgnustep-gui-dev (>= 0.31.1-7), debhelper-compat (= 13),
 texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
 texlive-latex-recommended
Rules-Requires-Root: no

Package: paje.app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generic visualization tool (Gantt chart and more)
 Paje is a graphical tool that displays traces produced during the
 execution of multithreaded programs. Other programs can also generate
 traces for this tool.
 .
 Key Features
   * Supports multi threaded programs
      o each thread of the analysed program can be individually displayed,
        or multiple threads can be combined, to reduce screen space usage.
   * Interactivity
      o each entity represented on the screen can be interrogated for
        more information,
      o related entities are highlighted as mouse cursor passes over
        some representation
