=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(optim) $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)
	$(MAKE) -C Documentation/UserManual
	$(MAKE) -C Documentation/lang-paje

execute_before_dh_auto_clean:
	$(MAKE) -C Documentation/UserManual clean
	$(MAKE) -C Documentation/lang-paje clean

execute_before_dh_link:
	gsdh_gnustep --app
	find debian/paje.app -type d -empty -delete
